Update a ticket
curl --request PUT \
--url https://api.spacebring.com/events/tickets/v1/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{
"ticket": {}
}'import requests
url = "https://api.spacebring.com/events/tickets/v1/{id}"
payload = { "ticket": {} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({ticket: {}})
};
fetch('https://api.spacebring.com/events/tickets/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket": {
"createDate": "2023-11-07T05:31:56Z",
"event": {
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timezoneId": "<string>",
"title": "<string>"
},
"media": [
{
"key": "<string>",
"url": "<string>"
}
],
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>",
"venue": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 4503599627370496,
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"about": "<string>",
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
},
"checkInDate": "2023-11-07T05:31:56Z",
"deleteDate": "2023-11-07T05:31:56Z",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"discounts": [
{
"coupon": {
"amountOff": 123,
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentOff": 123,
"type": "<string>"
},
"promocode": {
"code": "<string>",
"expiration": {
"enabled": true,
"date": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"limitByFirstPurchase": true
},
"subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"method": {
"credits": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"external": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"invoice": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
}
},
"paymentGateway": {
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"name": "<string>",
"surname": "<string>",
"title": "<string>"
},
"location": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"label": "<string>",
"mask": "<string>",
"title": "<string>",
"type": "<string>"
}
},
"price": {
"credits": {
"expiringAmount": 123,
"permanentAmount": 123
},
"money": {
"currencyCode": "<string>",
"grossAmount": 123
}
},
"refundable": true,
"createDate": "2023-11-07T05:31:56Z",
"dispute": {
"createDate": "2023-11-07T05:31:56Z"
},
"invoiceItemRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"refund": {
"credits": {
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"money": {
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123
},
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"refunds": {
"credits": [
{
"amountExpiring": 123,
"amountPermanent": 123,
"amountTotal": 123,
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"money": [
{
"createDate": "2023-11-07T05:31:56Z",
"currencyCode": "<string>",
"grossAmount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"request": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
},
"surcharge": {
"money": {
"amount": 123,
"currencyCode": "<string>",
"percentage": 123,
"rate": 123
},
"type": "money"
},
"transactionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}{
"message": "<string>",
"type": "<string>"
}Events
Update a ticket
Update an event ticket. Only the ticket role can be changed.
OAuth
Required scopes:eventsPUT
/
events
/
tickets
/
v1
/
{id}
Update a ticket
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the event ticket.
Body
application/json
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I